For Developers

Get School Calendar Day

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/school_calendar_days/:school_calendar_day_id

Retrieve information about a specific School Calendar Day.

Request Parameters

ParameterLocationTypeDescription
school_calendar_day_idurlstringThe UUID of the desired School Calendar Day.

Sample Request

axios.get('https://ed.link/api/v2/graph/school_calendar_days/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "00000000-0000-0000-0000-000000000000",
        "created_date": "2021-07-05T20:32:40.454Z",
        "updated_date": "2021-07-12T21:44:23.126Z",
        "school_calendar_id": "00000000-0000-0000-0000-000000000001",
        "day_id": "00000000-0000-0000-0000-000000000002",
        "track_id": "00000000-0000-0000-0000-000000000003",
        "day_rotation_id": "00000000-0000-0000-0000-000000000004",
        "type": "instructional"
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}